# Get an app space

Launch stage: Beta

`GET /api/2.0/app-spaces/{name}`

Retrieves information for the app space with the supplied name.

API scopes: apps

## Path parameters

- `name` (string, required)
  The name of the app space.

## Returns

Returns the Space object.

## Response

```json
{
  "name": "my-space",
  "description": "My app space for team applications.",
  "status": {
    "state": "SPACE_CREATING",
    "message": "string"
  },
  "id": "string",
  "create_time": "string",
  "creator": "user@test.com",
  "update_time": "string",
  "updater": "user@test.com",
  "resources": [
    {
      "name": "api-key",
      "description": "API key for external service.",
      "secret": {},
      "sql_warehouse": {},
      "serving_endpoint": {},
      "job": {},
      "uc_securable": {},
      "database": {},
      "genie_space": {},
      "experiment": {},
      "app": {},
      "postgres": {}
    }
  ],
  "user_api_scopes": [
    "string"
  ],
  "effective_user_api_scopes": [
    "string"
  ],
  "service_principal_id": 0,
  "service_principal_name": "string",
  "service_principal_client_id": "string",
  "usage_policy_id": "550e8400-e29b-41d4-a716-446655440000",
  "effective_usage_policy_id": "string"
}
```

